Fetch balance sheet
curl --request GET \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/reports/balance-sheet \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/reports/balance-sheet"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/reports/balance-sheet', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"effective_date": "2023-11-07T05:31:56Z",
"reporting_basis": "ACCRUAL",
"assets": [
{
"account_name": "<string>",
"balance": 123,
"account_type": "<string>"
}
],
"liabilities": [
{
"account_name": "<string>",
"balance": 123,
"account_type": "<string>"
}
],
"equity": [
{
"account_name": "<string>",
"balance": 123,
"account_type": "<string>"
}
],
"total_assets": 123,
"total_liabilities": 123,
"total_equity": 123
}""""Balance Sheet
Fetch balance sheet
Returns a balance sheet report showing assets, liabilities, and equity at a specific point in time.
GET
/
v1
/
businesses
/
{businessId}
/
reports
/
balance-sheet
Fetch balance sheet
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json
Path Parameters
The UUID of the business to fetch the balance sheet for
Query Parameters
Effective date for the balance sheet (ISO 8601 format)
Accounting basis for the report
Available options:
ACCRUAL, CASH Filter results by tags
Response
Balance sheet report data
Effective date of the balance sheet
Accounting basis used for the report
Available options:
ACCRUAL, CASH Asset accounts
Show child attributes
Show child attributes
Liability accounts
Show child attributes
Show child attributes
Equity accounts
Show child attributes
Show child attributes
Total assets in cents
Total liabilities in cents
Total equity in cents